"use strict";

var _chai = require("chai");

var _immutable = require("immutable");

var _modalHelpers = require("../modalHelpers");

describe('modalHelpers', function () {
  describe('getModalTrigger', function () {
    it('gets the modalTrigger from modal options', function () {
      var fakeState = (0, _immutable.fromJS)({
        modal: {
          options: {
            modalTrigger: 'foo'
          }
        }
      });
      (0, _chai.expect)((0, _modalHelpers.getModalTrigger)(fakeState)).to.equal('foo');
    });
  });
});